Module javafx.base
Package javafx.beans

# Annotation Interface DefaultProperty

@Inherited @Documented @Retention(RUNTIME) @Target(TYPE) public @interface DefaultProperty
Specifies a property to which child elements will be added or set when an explicit property is not given.

Since:
  JavaFX 2.0

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
The name of the default property.

## Element Details

### value

String value
The name of the default property.

Returns:
  the name of the property